## ros-humble-realsense2-description 4.54.1

=== CMakeLists.txt ===
# Copyright 2023 Intel Corporation. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)
project(realsense2_description)

find_package(ament_cmake REQUIRED)

# Install files
install(DIRECTORY 
        launch 
        meshes 
        rviz 
        urdf
        DESTINATION share/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-humble-realsense2-description (4.54.1-1jammy) jammy; urgency=high

  * Update mesh path
  * clone PR1637 to ros2-development
  * Fix Apache License Header and Intel Copyrights
  * apply copyrights and license on project
  * Replace deprecated parameter node_name with name
  * Contributors: Arun Prasad, Nir Azkiel, SamerKhshiboun, augustelalande, marqrazz

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 26 Jun 2023 21:00:00 -0000

ros-humble-realsense2-description (4.51.1-1jammy) jammy; urgency=high

  * Add copyright and license to all ROS2-beta source files
  * Contributors: SamerKhshiboun

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 12 Sep 2022 21:00:00 -0000

ros-humble-realsense2-description (4.0.4-1jammy) jammy; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Sat, 19 Mar 2022 22:00:00 -0000

ros-humble-realsense2-description (4.0.3-1jammy) jammy; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Tue, 15 Mar 2022 22:00:00 -0000

ros-humble-realsense2-description (4.0.2-1jammy) jammy; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Wed, 23 Feb 2022 22:00:00 -0000

ros-humble-realsense2-description (4.0.1-1jammy) jammy; urgency=high

  * Add D455 urdf files
  * Contributors: nomumu, JamesChooWK, doronhi

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 31 Jan 2022 22:00:00 -0000

ros-humble-realsense2-description (3.1.3-1jammy) jammy; urgency=high

  * fix realsense2_description's dependency to realsense2_camera_msgs
    remove boost dependency.
    rename node_namespace to namespace
    rename node_executable to executable
  * Contributors: benlev, Gilaadb, doronhi

 -- LibRealSense ROS Team <librs.ros@intel.com>  Sun, 27 Dec 2020 22:00:00 -0000

ros-humble-realsense2-description (3.1.2-1jammy) jammy; urgency=high

  * Add urdf for L515.
  * remove librealsense2 and realsense2_camera dependencies
  * Add models for D415, D435, D435i.
    For visualization, can be presented using view_model.launch.py
  * fix view_d435_model.launch.py and view_d435i_model.launch.py
    run: ros2 launch realsense2_description view_d435i_model.launch.py
  * Contributors: Ryan Shim, doronhi

 -- LibRealSense ROS Team <librs.ros@intel.com>  Wed, 09 Dec 2020 22:00:00 -0000

ros-humble-realsense2-description (2.2.14-1jammy) jammy; urgency=high

  * fix urdf issues (arg use_nominal_extrinsics).
  * Add noetic support:
    - urdf files.
    - change state_publisher into robot_state_publisher
  * correct offset between camera_link and base_link
  * Contributors: Brice, Marco Camurri, doronhi
  * upgrade version to 2.2.13

 -- LibRealSense ROS Team <librs.ros@intel.com>  Wed, 17 Jun 2020 21:00:00 -0000

=== debian/control ===
Source: ros-humble-realsense2-description
Section: misc
Priority: optional
Maintainer: LibRealSense ROS Team <librs.ros@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-realsense2-camera-msgs, ros-humble-ros-workspace
Homepage: http://www.ros.org/wiki/RealSense
Standards-Version: 3.9.2

Package: ros-humble-realsense2-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-launch-ros, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-realsense2-camera-msgs, ros-humble-xacro, ros-humble-ros-workspace
Description: RealSense description package for Intel 3D D400 cameras

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-realsense2-description//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-realsense2-description 4.55.1

=== debian/changelog ===
ros-humble-realsense2-description (4.55.1-1bookworm) bookworm; urgency=high

  * PR #2957 <https://github.com/IntelRealSense/realsense-ros/issues/2957> from hellototoro: to_urdf fun retrun a str, not a BufferedRandom
  * PR #2953 <https://github.com/IntelRealSense/realsense-ros/issues/2953> from Arun-Prasad-V: Added urdf & mesh files for D405 model
  * PR #2841 <https://github.com/IntelRealSense/realsense-ros/issues/2841> from SamerKhshiboun: Remove Dashing, Eloquent, Foxy, L500 and SR300 support
  * PR #2817 <https://github.com/IntelRealSense/realsense-ros/issues/2817> from karina-ranadive: Replaced Deprecated function mktemp to TemporaryFile
  * Contributors: Arun-Prasad-V, karina-ranadive, SamerKhshiboun, hellototoro

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 27 May 2024 16:00:00 -0000

ros-humble-realsense2-description (4.54.1-1bookworm) bookworm; urgency=high

  * Update mesh path
  * clone PR1637 to ros2-development
  * Fix Apache License Header and Intel Copyrights
  * apply copyrights and license on project
  * Replace deprecated parameter node_name with name
  * Contributors: Arun Prasad, Nir Azkiel, SamerKhshiboun, augustelalande, marqrazz

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 26 Jun 2023 16:00:00 -0000

ros-humble-realsense2-description (4.51.1-1bookworm) bookworm; urgency=high

  * Add copyright and license to all ROS2-beta source files
  * Contributors: SamerKhshiboun

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 12 Sep 2022 16:00:00 -0000

ros-humble-realsense2-description (4.0.4-1bookworm) bookworm; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Sat, 19 Mar 2022 16:00:00 -0000

ros-humble-realsense2-description (4.0.3-1bookworm) bookworm; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Tue, 15 Mar 2022 16:00:00 -0000

ros-humble-realsense2-description (4.0.2-1bookworm) bookworm; urgency=high



 -- LibRealSense ROS Team <librs.ros@intel.com>  Wed, 23 Feb 2022 16:00:00 -0000

ros-humble-realsense2-description (4.0.1-1bookworm) bookworm; urgency=high

  * Add D455 urdf files
  * Contributors: nomumu, JamesChooWK, doronhi

 -- LibRealSense ROS Team <librs.ros@intel.com>  Mon, 31 Jan 2022 16:00:00 -0000

ros-humble-realsense2-description (3.1.3-1bookworm) bookworm; urgency=high

  * fix realsense2_description's dependency to realsense2_camera_msgs
    remove boost dependency.
    rename node_namespace to namespace
    rename node_executable to executable
  * Contributors: benlev, Gilaadb, doronhi

 -- LibRealSense ROS Team <librs.ros@intel.com>  Sun, 27 Dec 2020 16:00:00 -0000

ros-humble-realsense2-description (3.1.2-1bookworm) bookworm; urgency=high

  * Add urdf for L515.
  * remove librealsense2 and realsense2_camera dependencies
  * Add models for D415, D435, D435i.
    For visualization, can be presented using view_model.launch.py
  * fix view_d435_model.launch.py and view_d435i_model.launch.py
    run: ros2 launch realsense2_description view_d435i_model.launch.py
  * Contributors: Ryan Shim, doronhi

 -- LibRealSense ROS Team <librs.ros@intel.com>  Wed, 09 Dec 2020 16:00:00 -0000

ros-humble-realsense2-description (2.2.14-1bookworm) bookworm; urgency=high

  * fix urdf issues (arg use_nominal_extrinsics).
  * Add noetic support:
    - urdf files.
    - change state_publisher into robot_state_publisher
  * correct offset between camera_link and base_link
  * Contributors: Brice, Marco Camurri, doronhi
  * upgrade version to 2.2.13

 -- LibRealSense ROS Team <librs.ros@intel.com>  Wed, 17 Jun 2020 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-realsense2-description//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-realsense2-description//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-realsense2-description//opt/ros/humble/opt/realsense2_description/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
